% Code to read model output from the paper 'The impact of dynamic 
% topography change on Antarctic Ice Sheet stability during the 
% Mid-Pliocene Warm Period' 
% by J. Austermann et al.

% read in model output
DT = importdata('0_delDT_V2_lat2_Sella.txt');

% distribute on grid
k = 1;
for i = 1:721
    for j = 1:361
        lon_grid(j,i) = DT(k,1);
        lat_grid(j,i) = DT(k,2);
        DT_grid(j,i) = DT(k,3);
        k = k+1;
    end
end

% plot
figure
m_proj('stereographic','lat',-90,'long',0,'radius',40);
m_pcolor(lon_grid,lat_grid,DT_grid)
m_coast('color','k','LineWidth',2);
m_grid('xtick',12,'tickdir','out','xticklabels',[],'ytick',[-80 -70 -60],...
    'yticklabels',[],'linest','--');
shading flat
caxis([-200 200])
colorbar
title('Dynamic topography change since 3 Ma (m)')